SWAYIMG(1)

NAME
swayimg - lightweight image viewer for Wayland display servers

SYNOPSIS
swayimg [OPTIONS]... [FILE]...

DESCRIPTION

If no input files or directories are specified, the viewer will try to read all files in the current directory.

Use '-' as FILE to read image data from stdin.

In a sway compatible mode, the viewer creates an "overlay" above the currently active window, which gives the illusion that you are opening the image directly in a terminal window. The program uses sway's IPC to determine the geometry of the currently focused workspace and window. This data is used to calculate the position and size of a new window. Then the program adds two rules to the sway application swayimg: "floating enable" and "move position". This creates a new Wayland window and draws an image from the specified file.

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information and list of supported image formats.

-r, --recursive
    Read directories recursively.

-o, --order=ORDER:
    Set the order of the image file list:
    none: unsorted;
    alpha: sorted alphabetically (default);
    random: randomize list.

-s, --scale=SCALE
    Set the default scale of the image. SCALE is one of the named values.
    optimal: 100% or less to fit to window;
    width: fit image width to window width;
    height: fit image height to window height;
    fit: fit to window;
    fill: crop image to fill the window;
    real: real size (100%).

-l, --slideshow
    Activate slideshow mode on startup.

-f, --fullscreen
    Start in full screen mode.

-p, --position=POS
    Set the absolute position of the window:
    parent: set position from parent (currently active) window (default);
    X,Y: absolute coordinates of the top left corner.

-g, --size=SIZE
    Set window size:
    parent: set size from parent (currently active) window (default);
    image: set size from the first image;
    WIDTH,HEIGHT: absolute size of the window.

-a, --class
    Set a constant window class/app_id. Setting this may break the window layout.

-c, --config=SECTION.KEY=VALUE
    Set a configuration parameter, see `man swayimgrc` for a list of sections and its parameters.

KEYBINDINGS
Default key bindings can be overridden with the configuration file.

F1  Show/hide help.

Home
    Open the first file.

End Open the last file.

PgDown, Space
    Open next file.

PgUp
    Open previous file.

d   Open file from next directory.

D   Open file from previous directory.

o   Show next frame.

O   Show previous frame.

s   Start/stop animation.

S   Start/stop slideshow.

f   Toggle full screen mode.

Arrows
    Move the view point.

+, =
    Zoom in.

-   Zoom out.

w   Zoom the image to fit the window width, this will crop the image.

W   Zoom the image to fit the window height, this will crop the image.

z   Zoom the image to fit window.

Z   Zoom the image to fill the window, this will crop the image.

0   Set scale to 100%.

Backspace
    Set optimal scale to fit the window, but not more 100%.

[   Rotate the image 90 degrees anticlockwise.

]   Rotate the image 90 degrees clockwise.

m   Flip the image vertically.

M   Flip the image horizontally.

a   Enable/disable anti-aliasing.

r   Reset cache and reload the current image.

i   Switch the text info mode.

e   Execute external command: prints path to the current file.

Esc, q
    Exit the program.

ENVIRONMENT

SWAYSOCK
    Path to the socket file used for Sway IPC.

SEE ALSO
swayimgrc(5)

BUGS
For suggestions, comments, bug reports etc. visit the project homepage (https://github.com/artemsen/swayimg).